$(function () {
    $(document).on('submit','#login_form', function(e){
        $("#login_form").validate({
            ignore:[],
            rules:{
                uName:{
                    required:true
                },
                password:{
                    required:true
                }
            },
            messages:{
                uName:{required:"Please enter user name."},
                password:{required:"Please enter password."}
            },
            errorClass: 'help-block col-md-6',
            errorElement: 'span',
            highlight: function (element) {
               $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            errorPlacement: function (error, element) {
                if (element.attr("data-error-container")) {
                    error.appendTo(element.attr("data-error-container"));
                } else {
                    error.insertAfter(element);
                }
            }
        });
        if($("#login_form").valid()){
            return true;
        }else{
            return false;
        }
    });
});