$(function () {

    $(document).on('submit','#change_password_form', function(e){
        $("#change_password_form").validate({
            ignore:[],
            rules:{
                current_password:{required:true},
                new_password:{required:true},
                confirm_password:{required:true,equalTo: "#new_password"}
            },
            messages:{
                current_password:{required:"Please your current password"},
                new_password:{required:"Please enter your new password"},
                confirm_password:{required:"Please enter confirm password.",equalTo: "&nbsp;Password do not match."},
            },
            errorClass: 'help-block col-md-6',
            errorElement: 'span',
            highlight: function (element) {
               $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            errorPlacement: function (error, element) {
                if (element.attr("data-error-container")) {
                    error.appendTo(element.attr("data-error-container"));
                } else {
                    error.insertAfter(element);
                }
            }
        });
        if($("#change_password_form").valid()){
            return true;
        }else{
            return false;
        }
    });
});