import json
from collections import namedtuple
from django.shortcuts import render
from django.contrib.auth import login, logout
from django.core.exceptions import ObjectDoesNotExist
from django.http import JsonResponse, HttpResponseRedirect, HttpResponse
from django.contrib.auth.decorators import login_required
from django.shortcuts import render
from django.views.decorators.csrf import csrf_exempt
from django.core.cache import cache
from .models import *
import datetime
from django.http.response import JsonResponse
from django.conf import settings
import uuid
import sys

def HomeView(request):
    return render(request, "home-nct.html")

def LoginView(request):
    return render(request, "login-nct.html")

def RegisterView(request):
    return render(request, "register-nct.html")

def ContactUsView(request):
    return render(request, "contact-us-nct.html")

def SubscriptionPlansView(request):
    return render(request, "subscription-plans-nct.html")

def SearchResultView(request):
    return render(request, "search-result-nct.html")

def UserProfileView(request):
    return render(request, "user-profile-nct.html")

def AddNewPatentView(request):
    return render(request, "add-new-patent-nct.html")

def AppliedPatentsView(request):
    return render(request, "applied-patents-nct.html")

def MyPorfolioView(request):
    return render(request, "user-portfolio-nct.html")

def AccountSettingView(request):
    return render(request, "account-setting-nct.html")

def PatentDetailView(request):
    return render(request, "patent-detail-nct.html")

def PortfolioDetailView(request):
    return render(request, "portfolio-detail-nct.html")

def LogoutView(request):
	return HttpResponseRedirect("login")